Skip to main content
PATCH
/
templates
/
{id}
curl --request PATCH \
  --url https://api.firma.dev/functions/v1/signing-request-api/templates/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Template Name",
  "expiration_hours": 72
}
'
{
  "message": "<string>",
  "updated_fields": [
    "<string>"
  ],
  "user": {}
}
{
"error": "Validation Error",
"message": "Invalid input data",
"details": {
"name": "Name is required",
"email": "Invalid email format"
}
}
{
"error": "Unauthorized",
"message": "Invalid API key"
}
{
"error": "Not Found",
"message": "The requested resource was not found"
}
{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Body

application/json

Update template properties

name
string

Template name

Maximum string length: 255
description
string

Template description

document
string<byte>

Base64-encoded PDF or DOCX to replace document. DOCX files are automatically converted to PDF. Maximum size: 20MB

expiration_hours
integer

Hours until expiration

Required range: x >= 1
settings
object

Response

Template partially updated successfully

message
string
updated_fields
string[]

Returned when updating properties

user
object

Returned when updating/creating a user